<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TAGS_READ)">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_TAGS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TAGS}}"></span>
    </h2>
    <br />
    <div th:if="${not #lists.isEmpty(tags)}">
      <table class="ui table" id="tags" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <thead>
          <tr>
            <th class="ten wide column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}"></th>
            <th class="six wide column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SUBAREA}}"></th>
          </tr>
        </thead>
        <tbody>
          <tr th:each="tag : ${tags}">
            <td><a th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_TAGS_UPDATE} + '/' + ${tag.id}}" th:text="${tag.name}"></a> <span></span></td>
            <td th:text="${tag.subArea.name}"></td>
          </tr>
        </tbody>
      </table>
    </div>
    <br />
    <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TAGS_CREATE)" th:replace="common/fragments/form :: actionbuttons(icon1 = null,
                                                       icon1text = null,
                                                       icon1url = null,
                                                       icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                       icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                       icon2url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_TAGS_CREATE},
                                                       )" />
  </div>
</body>
</html>